Subject: Re: bug#47286: 28.0.50; [PATCH] Replace "(default %s)" with 'format-prompt'

From: Dmitry Gutov <[email-masked]>
Date: Sun, 21 Mar 2021 20:57:04 +0200

On 21.03.2021 20:31, Gabriel wrote:
> Thanks for pointing it out. I just searched for the current source tree
> of master branch for ocurrences of "(default %s)", so I am not sure if I
> changed some package that shouldn't be update. If so, I will promptly
> update the patch.
> 
> Perhaps project.el could use a similar fallback that exists on
> cperl-mode.el (commit 3a95f4fc12df0a570ad413e099a22bf901b7346d):
> 
> ;; Available in Emacs 28: format-prompt
> (defalias 'cperl--format-prompt
>    (if (fboundp 'format-prompt) 'format-prompt
>      (lambda (msg default)
>        (if default (format "%s (default %s): " msg default)
>          (concat msg ": ")))))

Sounds reasonable to me.

Also note that project--completing-read-strict includes as (string-equal 
default "") check added in 2be537e64.

Perhaps format-prompt could use it as well.